#!/usr/bin/env python
# -*- coding: utf-8 -*-

from __future__ import division
import functools
import random
import sys
import const
from PyQt4.QtCore import *
from PyQt4.QtGui import *

ABOUT = """
  <center><br/>
  <font size="+2"><b>%(NAME)s v%(VERSION)s</b></font><br/>
  <br/>
  "KsplashX Engine Splash Screen Creator for KDE"<br/>
  <br/>
  This program is still under development so you could expect some
  missing features and unexpected crashes or bugs.<br/>
  <br/>
  When the final version were released you will be able to create from scratch 
  a new Splash Screen and locate wherever you wants icons and pics,
  also you can change Author information and background image, resolution, etc.<br/>
  <br/>
  <b>%(NAME)s &#169;2008 Nacho Molina</b>, is licensed under the 
  <a href="http://www.gnu.org/licenses/old-licenses/gpl-2.0.html">GNU
  General Public License</a>.<br/>
  <hr>
  <i>"Todo el que venga a Chile esta invitado a mi casa a comerse un asadito"</i>
  </center>
""" % dict( NAME="KSplasherX", VERSION="2.0 beta 2" )

class AboutDlg(QDialog):

    def __init__(self, ACTDIR, parent = None):
        super(QDialog, self).__init__(parent)

        iconLabel = QLabel(self)
        iconLabel.setPixmap(QPixmap ("%s/images/logo.png" %ACTDIR))
        aboutLabel = QLabel(ABOUT)
        aboutLabel.setWordWrap(True)
        button = QPushButton( "Ok" )
 
        mainLayout = QVBoxLayout()
        mainLayout.addWidget(iconLabel)
        mainLayout.addWidget(aboutLabel)
        mainLayout.addWidget(button)
        mainLayout.setAlignment( button, Qt.AlignHCenter )
        
        self.setLayout(mainLayout)
    
        self.setWindowTitle(self.tr("KSplasherX - About ..."))
        self.connect( button, SIGNAL( "clicked()" ), self, SLOT( "accept()" ) )

if __name__ == "__main__":
    app = QApplication(sys.argv)
    dialog = AboutDlg()
    dialog.exec_()
