#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __future__ import division
import functools
import random
import sys
import const
from PyQt4.QtCore import *
from PyQt4.QtGui import *

PointSize = 10

class AuthorDlg(QDialog):

    def __init__(self, data, ACTDIR, parent = None):
        super(QDialog, self).__init__(parent)
        
        self.data = data
        iconLabel = QLabel(self)
        iconLabel.setPixmap(QPixmap ("%s/images/authorbig.png" %ACTDIR))
        nameLabel = QLabel(self.tr("Theme Name:"))
        self.nameEdit = QLineEdit()
        self.nameEdit.setText(str(self.data[0]))
        desLabel = QLabel(self.tr("Description:"))
        self.desEdit = QLineEdit()
        self.desEdit.setText(str(self.data[1]))
        verLabel = QLabel(self.tr("Version:"))
        self.verEdit = QLineEdit()
        self.verEdit.setText(str(self.data[2]))
        autLabel = QLabel(self.tr("Author:"))
        self.autEdit = QLineEdit()
        
        emLabel = QLabel(self.tr("E-mail:"))
        self.emEdit = QLineEdit()
        try:
            paren = self.data[3].split("(")[1]
            self.emEdit.setText(str(paren.rstrip(")")))
            self.data[3] = self.data[3].split("(")[0]
        except: pass                
        try:
            punta = self.data[3].split("<")[1]
            self.emEdit.setText(str(punta.rstrip(">")))
            self.data[3] = self.data[3].split("<")[0]
        except: pass
        self.autEdit.setText(str(self.data[3]))
        pageLabel = QLabel(self.tr("Homepage:"))
        self.pageEdit = QLineEdit()
        self.pageEdit.setText(str(self.data[4]))

        self.buttonBox = QDialogButtonBox(QDialogButtonBox.Ok|
                                          QDialogButtonBox.Cancel)
        self.buttonBox.button(QDialogButtonBox.Ok).setEnabled(False)
        
        authorLayout = QGridLayout()
        authorLayout.addWidget(nameLabel, 0, 0)
        authorLayout.addWidget(self.nameEdit, 0, 1, 1, 10)
        authorLayout.addWidget(desLabel, 1, 0)
        authorLayout.addWidget(self.desEdit, 1, 1, 1, 10)
        authorLayout.addWidget(verLabel, 2, 0)
        authorLayout.addWidget(self.verEdit, 2, 1, 1, 2)
        authorLayout.addWidget(autLabel, 3, 0)
        authorLayout.addWidget(self.autEdit, 3, 1, 1, 10)
        authorLayout.addWidget(emLabel, 4, 0)
        authorLayout.addWidget(self.emEdit, 4, 1, 1, 10)
        authorLayout.addWidget(pageLabel, 5, 0)
        authorLayout.addWidget(self.pageEdit, 5, 1, 1, 10)
        
        authorGroup = QGroupBox(self.tr("Author Information"))
        authorGroup.setLayout(authorLayout)
        horizontalLayout = QHBoxLayout()
        horizontalLayout.addWidget(iconLabel)
        horizontalLayout.addWidget(authorGroup)
    
        buttonsLayout = QHBoxLayout()
        buttonsLayout.addStretch(1)
        buttonsLayout.addWidget(self.buttonBox)
    
        mainLayout = QVBoxLayout()
        mainLayout.addLayout(horizontalLayout)
        mainLayout.addStretch(1)
        mainLayout.addSpacing(1)
        mainLayout.addLayout(buttonsLayout)
        
        self.setLayout(mainLayout)
    
        self.setWindowTitle(self.tr("KSplasherX - Author Information"))
        
        self.connect(self.nameEdit, SIGNAL("textChanged(const QString &)"),
                     self.updateUi)
        self.connect(self.desEdit, SIGNAL("textChanged(const QString &)"),
                     self.updateUi)
        self.connect(self.verEdit, SIGNAL("textChanged(const QString &)"),
                     self.updateUi)
        self.connect(self.autEdit, SIGNAL("textChanged(const QString &)"),
                     self.updateUi)
        self.connect(self.emEdit, SIGNAL("textChanged(const QString &)"),
                     self.updateUi)
        self.connect(self.pageEdit, SIGNAL("textChanged(const QString &)"),
                     self.updateUi)
        
        self.connect(self.buttonBox, SIGNAL("accepted()"), self.accept)
        self.connect(self.buttonBox, SIGNAL("rejected()"), self.reject)

    def updateUi(self):
        self.buttonBox.button(QDialogButtonBox.Ok).setEnabled(not self.nameEdit.text().isEmpty())

    def accept(self):
        self.data[0]=str(self.nameEdit.text())
        self.data[1]=str(self.desEdit.text())
        self.data[2]=str(self.verEdit.text())
        self.data[3]=str(self.autEdit.text()+" <"+self.emEdit.text()+">")
        self.data[4]=str(self.pageEdit.text())
        global Dirty
        Dirty = True
        QDialog.accept(self)

if __name__ == "__main__":
    app = QApplication(sys.argv)
    dialog = AuthorDlg()
    dialog.exec_()
