#!/usr/bin/env python

#
# This python helper script does blend 2 images together and produces
# a by KSplashX usuable PNG animation file.
#
# Use:
# blend.py img1.png img2.png output.png
#

from __future__ import division
import sys, os, getopt, Image, ImageFile, ImageEnhance


def blink(srcfile1,destfile):
    srcimg1 = Image.open(srcfile1)

    (width1,height1) = srcimg1.size

    destimg = Image.new( "RGBA", (width1*10,height1*3))
    filt = 0
    num = 0
    img = srcimg1
    for row in range(1,4):
        for col in range(1,11):
            x = width1 * col - width1
            y = height1 * row - height1
            img2 = (ImageEnhance.Brightness(img)).enhance(filt)
            destimg.paste(img2,(x,y))
            if num<15:
                filt = filt + (1/14)
            elif num==15 or num==16:
                filt = 1
            elif num>15:
                filt = filt - (1/13)
            num=num+1
    destimg.save(destfile)


def fadeon(srcfile1,destfile):
    srcimg1 = Image.open(srcfile1)

    (width1,height1) = srcimg1.size

    destimg = Image.new( "RGBA", (width1*10,height1*3))
    filt = 0
    img = srcimg1
    for row in range(1,4):
        for col in range(1,11):
            x = width1 * col - width1
            y = height1 * row - height1
            img2 = (ImageEnhance.Brightness(img)).enhance(filt)
            destimg.paste(img2,(x,y))
            filt = filt + (1/30)
    destimg.save(destfile)

if __name__ == "__main__":
    blink("icon1.png","out.png")
